FROM ubuntu:22.04

RUN dpkg --add-architecture i386
RUN apt-get update && apt-get dist-upgrade
RUN apt-get -y install build-essential ed \
                       gcc-multilib g++-multilib lib32ncurses5-dev lib32z1 \
                       zlib1g:i386 libstdc++6:i386 libc6:i386 libncurses5:i386 \
                       libgcc1:i386 libstdc++5:i386
RUN groupadd -g 60139 ytshih && useradd -g 60139 -u 60139 ytshih

WORKDIR /work
ENTRYPOINT ["/usr/bin/env"]
CMD ["bash"]
